const fs = require('fs');
const path = require('path');
const log = require('loglevel');

class AccountPermissionServ {
    constructor () {
        this.axios = global.axiosInstances.axiosAfcInstance;
    }

    accountPermissions = async () => {
        try {
            const res = await this.axios.get('account-permission');
            if (typeof res === 'undefined' || res.status >= 400) { return null; }
            return res;
        } catch (err) {
            log.error(err);
        }
    }

}

module.exports = AccountPermissionServ;
